com.amazonaws.services.codedeploy.model

## Class LifecycleEvent

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.LifecycleEvent

All Implemented Interfaces:
  Serializable, Cloneable

    public class LifecycleEvent
    extends Object
    implements Serializable, Cloneable

Information about a deployment lifecycle event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LifecycleEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LifecycleEvent` `clone()`
`boolean` `equals(Object obj)`
`Diagnostics` `getDiagnostics()` Diagnostic information about the deployment lifecycle event.
`Date` `getEndTime()` A timestamp indicating when the deployment lifecycle event ended.
`String` `getLifecycleEventName()` The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.
`Date` `getStartTime()` A timestamp indicating when the deployment lifecycle event started.
`String` `getStatus()` The deployment lifecycle event status:
`int` `hashCode()`
`void` `setDiagnostics(Diagnostics diagnostics)` Diagnostic information about the deployment lifecycle event.
`void` `setEndTime(Date endTime)` A timestamp indicating when the deployment lifecycle event ended.
`void` `setLifecycleEventName(String lifecycleEventName)` The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.
`void` `setStartTime(Date startTime)` A timestamp indicating when the deployment lifecycle event started.
`void` `setStatus(LifecycleEventStatus status)` The deployment lifecycle event status:
`void` `setStatus(String status)` The deployment lifecycle event status:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LifecycleEvent` `withDiagnostics(Diagnostics diagnostics)` Diagnostic information about the deployment lifecycle event.
`LifecycleEvent` `withEndTime(Date endTime)` A timestamp indicating when the deployment lifecycle event ended.
`LifecycleEvent` `withLifecycleEventName(String lifecycleEventName)` The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.
`LifecycleEvent` `withStartTime(Date startTime)` A timestamp indicating when the deployment lifecycle event started.
`LifecycleEvent` `withStatus(LifecycleEventStatus status)` The deployment lifecycle event status:
`LifecycleEvent` `withStatus(String status)` The deployment lifecycle event status:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LifecycleEvent

    public LifecycleEvent()

### Method Detail

#### setLifecycleEventName

    public void setLifecycleEventName(String lifecycleEventName)

The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.

Parameters:
  `lifecycleEventName` - The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.

#### getLifecycleEventName

    public String getLifecycleEventName()

The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.

Returns:
  The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.

#### withLifecycleEventName

    public LifecycleEvent withLifecycleEventName(String lifecycleEventName)

The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.

Parameters:
  `lifecycleEventName` - The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDiagnostics

    public void setDiagnostics(Diagnostics diagnostics)

Diagnostic information about the deployment lifecycle event.

Parameters:
  `diagnostics` - Diagnostic information about the deployment lifecycle event.

#### getDiagnostics

    public Diagnostics getDiagnostics()

Diagnostic information about the deployment lifecycle event.

Returns:
  Diagnostic information about the deployment lifecycle event.

#### withDiagnostics

    public LifecycleEvent withDiagnostics(Diagnostics diagnostics)

Diagnostic information about the deployment lifecycle event.

Parameters:
  `diagnostics` - Diagnostic information about the deployment lifecycle event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTime

    public void setStartTime(Date startTime)

A timestamp indicating when the deployment lifecycle event started.

Parameters:
  `startTime` - A timestamp indicating when the deployment lifecycle event started.

#### getStartTime

    public Date getStartTime()

A timestamp indicating when the deployment lifecycle event started.

Returns:
  A timestamp indicating when the deployment lifecycle event started.

#### withStartTime

    public LifecycleEvent withStartTime(Date startTime)

A timestamp indicating when the deployment lifecycle event started.

Parameters:
  `startTime` - A timestamp indicating when the deployment lifecycle event started.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEndTime

    public void setEndTime(Date endTime)

A timestamp indicating when the deployment lifecycle event ended.

Parameters:
  `endTime` - A timestamp indicating when the deployment lifecycle event ended.

#### getEndTime

    public Date getEndTime()

A timestamp indicating when the deployment lifecycle event ended.

Returns:
  A timestamp indicating when the deployment lifecycle event ended.

#### withEndTime

    public LifecycleEvent withEndTime(Date endTime)

A timestamp indicating when the deployment lifecycle event ended.

Parameters:
  `endTime` - A timestamp indicating when the deployment lifecycle event ended.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The deployment lifecycle event status:

- Pending: The deployment lifecycle event is pending.

- InProgress: The deployment lifecycle event is in progress.

- Succeeded: The deployment lifecycle event ran successfully.

- Failed: The deployment lifecycle event has failed.

- Skipped: The deployment lifecycle event has been skipped.

- Unknown: The deployment lifecycle event is unknown.

Parameters:
  `status` - The deployment lifecycle event status:

  - Pending: The deployment lifecycle event is pending.

  - InProgress: The deployment lifecycle event is in progress.

  - Succeeded: The deployment lifecycle event ran successfully.

  - Failed: The deployment lifecycle event has failed.

  - Skipped: The deployment lifecycle event has been skipped.

  - Unknown: The deployment lifecycle event is unknown.

See Also:
  `LifecycleEventStatus`

#### getStatus

    public String getStatus()

The deployment lifecycle event status:

- Pending: The deployment lifecycle event is pending.

- InProgress: The deployment lifecycle event is in progress.

- Succeeded: The deployment lifecycle event ran successfully.

- Failed: The deployment lifecycle event has failed.

- Skipped: The deployment lifecycle event has been skipped.

- Unknown: The deployment lifecycle event is unknown.

Returns:
  The deployment lifecycle event status:

  - Pending: The deployment lifecycle event is pending.

  - InProgress: The deployment lifecycle event is in progress.

  - Succeeded: The deployment lifecycle event ran successfully.

  - Failed: The deployment lifecycle event has failed.

  - Skipped: The deployment lifecycle event has been skipped.

  - Unknown: The deployment lifecycle event is unknown.

See Also:
  `LifecycleEventStatus`

#### withStatus

    public LifecycleEvent withStatus(String status)

The deployment lifecycle event status:

- Pending: The deployment lifecycle event is pending.

- InProgress: The deployment lifecycle event is in progress.

- Succeeded: The deployment lifecycle event ran successfully.

- Failed: The deployment lifecycle event has failed.

- Skipped: The deployment lifecycle event has been skipped.

- Unknown: The deployment lifecycle event is unknown.

Parameters:
  `status` - The deployment lifecycle event status:

  - Pending: The deployment lifecycle event is pending.

  - InProgress: The deployment lifecycle event is in progress.

  - Succeeded: The deployment lifecycle event ran successfully.

  - Failed: The deployment lifecycle event has failed.

  - Skipped: The deployment lifecycle event has been skipped.

  - Unknown: The deployment lifecycle event is unknown.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LifecycleEventStatus`

#### setStatus

    public void setStatus(LifecycleEventStatus status)

The deployment lifecycle event status:

- Pending: The deployment lifecycle event is pending.

- InProgress: The deployment lifecycle event is in progress.

- Succeeded: The deployment lifecycle event ran successfully.

- Failed: The deployment lifecycle event has failed.

- Skipped: The deployment lifecycle event has been skipped.

- Unknown: The deployment lifecycle event is unknown.

Parameters:
  `status` - The deployment lifecycle event status:

  - Pending: The deployment lifecycle event is pending.

  - InProgress: The deployment lifecycle event is in progress.

  - Succeeded: The deployment lifecycle event ran successfully.

  - Failed: The deployment lifecycle event has failed.

  - Skipped: The deployment lifecycle event has been skipped.

  - Unknown: The deployment lifecycle event is unknown.

See Also:
  `LifecycleEventStatus`

#### withStatus

    public LifecycleEvent withStatus(LifecycleEventStatus status)

The deployment lifecycle event status:

- Pending: The deployment lifecycle event is pending.

- InProgress: The deployment lifecycle event is in progress.

- Succeeded: The deployment lifecycle event ran successfully.

- Failed: The deployment lifecycle event has failed.

- Skipped: The deployment lifecycle event has been skipped.

- Unknown: The deployment lifecycle event is unknown.

Parameters:
  `status` - The deployment lifecycle event status:

  - Pending: The deployment lifecycle event is pending.

  - InProgress: The deployment lifecycle event is in progress.

  - Succeeded: The deployment lifecycle event ran successfully.

  - Failed: The deployment lifecycle event has failed.

  - Skipped: The deployment lifecycle event has been skipped.

  - Unknown: The deployment lifecycle event is unknown.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LifecycleEventStatus`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LifecycleEvent clone()

Overrides:
  `clone` in class `Object`